#pragma once

#pragma once

#include "Page.h"
#include "../WatchyDisplay.h"
#include "../WatchFeatures/WatchFeatures.h"
#include <string>

namespace WatchFacePages
{
  class Weather;
}

class WatchFacePages::Weather : public WatchFacePages::Page
{
public:
  Weather(WatchyDisplay & display, WatchFeatures::WatchFeatures & features);
  void InitBoot() override;
  void InitWake() override;
  void DrawPage(bool partialRefresh = false) override;
  void Resync();

private:
  void Recalc(); // Offline daily ephemeris like sunrise/sunset

  WatchyDisplay & m_display;
  WatchFeatures::WatchFeatures & m_features;
  static RTC_DATA_ATTR uint64_t m_lastSyncTime;
  static RTC_DATA_ATTR int m_lastCalculatedDay;
  static RTC_DATA_ATTR char m_locationCity[128];
  static RTC_DATA_ATTR double m_locationLat, m_locationLon;

  static RTC_DATA_ATTR uint8_t m_sunriseHour;
  static RTC_DATA_ATTR uint8_t m_sunriseMinute;
  static RTC_DATA_ATTR uint8_t m_noonHour;
  static RTC_DATA_ATTR uint8_t m_noonMinute;
  static RTC_DATA_ATTR uint8_t m_sunsetHour;
  static RTC_DATA_ATTR uint8_t m_sunsetMinute;
  static RTC_DATA_ATTR double m_moonPhase;
  static RTC_DATA_ATTR uint8_t m_moonBitmap[8 * 64];

  static RTC_DATA_ATTR double m_currentTemperature;
  static RTC_DATA_ATTR float m_currentWindSpeed;
  static RTC_DATA_ATTR uint8_t m_currentHumidity;
  static RTC_DATA_ATTR char m_currentWeatherCondition[4];
};